org.apache.hadoop.lib.server

## Enum ServerException.ERROR

- java.lang.Object
- - java.lang.Enum<ServerException.ERROR>
  - - org.apache.hadoop.lib.server.ServerException.ERROR

- All Implemented Interfaces:
    Serializable, Comparable<ServerException.ERROR>, XException.ERROR
  Enclosing class:
    ServerException

      @InterfaceAudience.Private
      public static enum ServerException.ERROR
      extends Enum<ServerException.ERROR>
      implements XException.ERROR

  Error codes use by the `Server` class.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `S01`
    `S02`
    `S03`
    `S04`
    `S05`
    `S06`
    `S07`
    `S08`
    `S09`
    `S10`
    `S11`
    `S12`
    `S13`
    `S14`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTemplate()` Returns the message template for the error code.
    `static ServerException.ERROR` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServerException.ERROR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### S01

          public static final ServerException.ERROR S01

    - #### S02

          public static final ServerException.ERROR S02

    - #### S03

          public static final ServerException.ERROR S03

    - #### S04

          public static final ServerException.ERROR S04

    - #### S05

          public static final ServerException.ERROR S05

    - #### S06

          public static final ServerException.ERROR S06

    - #### S07

          public static final ServerException.ERROR S07

    - #### S08

          public static final ServerException.ERROR S08

    - #### S09

          public static final ServerException.ERROR S09

    - #### S10

          public static final ServerException.ERROR S10

    - #### S11

          public static final ServerException.ERROR S11

    - #### S12

          public static final ServerException.ERROR S12

    - #### S13

          public static final ServerException.ERROR S13

    - #### S14

          public static final ServerException.ERROR S14

  - ### Method Detail

    - #### values

          public static ServerException.ERROR[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerException.ERROR c : ServerException.ERROR.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerException.ERROR valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getTemplate

          public String getTemplate()

      Returns the message template for the error code.
      Specified by:
        `getTemplate` in interface `XException.ERROR`
      Returns:
        the message template for the error code.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.